OIDC | Signup
curl --request POST \
--url https://use.hoop.dev/api/signup \
--header 'Content-Type: application/json' \
--data '
{
"org_name": "<string>",
"profile_name": "<string>",
"profile_picture": "<string>"
}
'import requests
url = "https://use.hoop.dev/api/signup"
payload = {
"org_name": "<string>",
"profile_name": "<string>",
"profile_picture": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({org_name: '<string>', profile_name: '<string>', profile_picture: '<string>'})
};
fetch('https://use.hoop.dev/api/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_name": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_name": "<string>",
"profile_picture": "<string>"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Authentication
OIDC | Signup
Signup anonymous authenticated user. This endpoint is only used for multi tenant setups.
POST
/
signup
OIDC | Signup
Body
application/json
The request body resource
Was this page helpful?
⌘I